#define _CRT_SECURE_NO_WARNINGS
#define _USE_MATH_DEFINES
#include<iostream>
#include<cmath>
#include <opencv2/opencv.hpp>
#include "Kinect2CV.h"
using namespace std;
using namespace cv;
string win_color = "color";
string win_depth = "depth";

int main(int argc, char **argv)
{
  Mat img_color, img_depth;

  TKinect2CV kinect2;
  if (!kinect2.init()) {
    cerr << "init failed" << endl;
    return -1;
  }

  namedWindow(win_color, WINDOW_AUTOSIZE);
  namedWindow(win_depth, WINDOW_AUTOSIZE);

  kinect2.queryFrame();
  img_color = kinect2.matVideo();
  img_depth = kinect2.matDepth();

  imshow(win_color, img_color);
  imshow(win_depth, img_depth);

  imwrite("kinect_color.png", img_color);
  imwrite("kinect_depth.png", img_depth);

  waitKey(0);

  return 0;
}
